\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{proposalroyalrachel}[CraftLaw for the CraftFuze Legal Project, Executive Order of the Owner Rachel]

\LoadClass{proposalroyal}

\renewcommand{\generateHeader}{
	% Header
	\fancyhead[LE,LO]{\@date}
	\fancyhead[CE,CO]{Official Journal of the Crafty Table}
	\fancyhead[RE,RO]{Royal Decree of Queen Rachel I}
	
	% Title
	\noindent%
	\begin{figure}
		\centering
		\includegraphics[width=30mm]{rachelseal}
	\end{figure}
	\centering%
	\textbf{\large\fontfamily{phv}\fontseries{b}%
        \selectfont Royal Decree of Queen Rachel I}%
    \medskip%
    
    \textit{\large\fontfamily{phv}%
    	\selectfont \@lawsubtitle}%
    \medskip%
}